> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.quarry-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Resource Type

> Update a resource type

## Path Parameters

<ParamField path="id" type="string" required>
  ID of the resource type to update
</ParamField>

## Request Body

<ParamField body="name" type="string">
  Display name for the resource type
</ParamField>

## Response

Returns the updated resource type object.

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH 'https://api.example.com/resource-types/resource_type_document' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Content-Type: application/json' \
    -d '{
      "name": "Document File"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "resource_type_document",
    "name": "Document File",
    "key": "document",
    "scopeId": "scope_acme",
    "createdAt": "2024-01-15T10:30:00Z",
    "createdBy": "system"
  }
  ```
</ResponseExample>
